Set product feature
curl --request PUT \
--url https://api.hyperline.co/v1/products/{id}/features/{code} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"value": true
}'import requests
url = "https://api.hyperline.co/v1/products/{id}/features/{code}"
payload = { "value": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: true})
};
fetch('https://api.hyperline.co/v1/products/{id}/features/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"feature_code": "sso",
"value": true,
"created_at": "2024-12-20T16:04:11Z",
"updated_at": "2024-12-20T16:04:11Z"
}Products > Features
Set product feature
Set a feature value for a product.
PUT
/
v1
/
products
/
{id}
/
features
/
{code}
Set product feature
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Product feature payload.
Feature value.
Was this page helpful?
⌘I

